<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">









<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

    <style type="text/css" media="screen">
    @import url('../../../../../../style.css');
    @import url('../../../../../../roundedcorners.css');
  </style>
    
  <title>HttpCore NIO 4.2.3</title></head>
<body onload="onLoad('HttpCore NIO 4.2.3: org.apache.http.impl.nio.pool.TestBasicNIOConnPool.java');">



 <table cellspacing="0" cellpadding="2" class="barGraph"><tbody>
  <tr>
    <td colspan="8">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore NIO 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:36:27 CET</div>

        
    
            <div class="navBar"><a href="../../../../../../pkg-summary.html"><b>Overview</b></a>&nbsp;&nbsp;&nbsp;<a href="pkg-summary.html"><b>Package</b></a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">File</span></div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="../../../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="TestBasicNIOConnPool.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file TestBasicNIOConnPool.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      11
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      85
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      1.83
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      0
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      49
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      0.55
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for file TestBasicNIOConnPool.java:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'file';">Stmts:</label></td>
           <td >      11
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'file';">LOC:</label></td>
           <td >      85
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'file';">Total cmp:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      1.83
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'file';">Branches:</label></td>
           <td >      0
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'file';">NCLOC:</label></td>
           <td >      49
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'file';">Cmp density:</label></td>
           <td >      0.55
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'file';">Methods:</label></td>
           <td >      6
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td colspan="2"></td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'file';">Avg method cmp:</label></td>
           <td >      1
  </td>
           <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'file';">Classes:</label></td>
            <td >      1
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td colspan="2"></td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>




<tr id="legend" style="display:none;"><td colspan="8">
    <div class="hbreak">&nbsp;</div>
    <table class="legend" cellspacing="0" cellpadding="0">
        <tr><td colspan="3" class="legendTitle">Legend</td></tr>

        <tr><td class="methodToggle" align="right">line#</td><td class="methodToggle" align="right">hit count</td>
            <td class="methodToggle"> </td>
        </tr>
        <tr><td class="lineCount Good" align="right">1</td><td class="coverageCount Good hitByTest" align="right">86</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which passed</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">2</td><td class="coverageCount Good missedByTest" align="right">17</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line was covered, but not by a test case</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">3</td><td class="coverageCount Good hitByFailedTest" align="right">7</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine">line hit by 1 or more tests which did not pass</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">4</td><td class="coverageCount Good hitByTest" align="right">5</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTest">line hit by more than one (selected) test</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">5</td><td class="coverageCount Good hitByTest" align="right">3</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByTestUniq">line hit by one test only</span></td>
        </tr>
        <tr><td class="lineCount Good" align="right">6</td><td class="coverageCount Good hitByTest" align="right">2</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine coveredByFailedTest">line hit by one or more (selected) tests that failed</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">7</td><td class="coverageCount Bad hitByTest" align="right">1</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line has an expression (e.g. a branch) or statement that was not fully covered</span></td>
        </tr>
        <tr><td class="lineCount Bad" align="right">8</td><td class="coverageCount Bad missedByTest" align="right">0</td>
               <td class="srcCell"><span class="spacer"/><span class="srcLine srcLineHilight">line was not covered at all</span></td>
        </tr>
        <tr><td class="lineCount Filtered " align="right">9</td><td class="coverageCount Filtered" align="right"></td>
               <td class="srcCell"><span class="spacer"/><span class="srcLineFiltered">line was filtered</span></td>
        </tr>
        
    </table>
    <div class="hbreak">&nbsp;</div>
    
    
</td></tr>
<tr><td class="hbreak" colspan="8">&nbsp; <label onkeyup="return help_src_file_expandall_summaries;" class="sortable" onclick="toggleAllClasses(this); return false;" id="stat-expander">Expand All</label></td></tr>
</tbody>
         <tbody>
        <tr>             <td class="graphHeaderLeft" id="TestBasicNIOConnPool" >
                                <span class="expand methodStart" id="span-TestBasicNIOConnPool" onclick="toggleClass(this, 'TestBasicNIOConnPool', 6);return false;">&nbsp;</span>
                                <span class="titleText"> <a href="#41" title="TestBasicNIOConnPool">TestBasicNIOConnPool</a></span>
                <span class="sortable" onclick="ts_resortTable(document.getElementById('TestBasicNIOConnPool'), 'alpha', 0);return false;" >&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</span>
            </td>

            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;">
                Line # 41
                <a name="sl-41"></a>
            </td>

                                        
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 2);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The total number of statements.';"  >Total Statements</label></span>
                    11
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 3);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';"  >% Filtered</label></span>
                    0%
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 4);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'Cyclomatic complexity is a measure of the number of paths in your code.';"  >Complexity</label></span>
                    6
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 5);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';"  >Uncovered Elements</label></span>
                    0
                </td>
                
                                            
                
                <td class="sortable graphHeader "  onclick="ts_resortTable(this, 'number', 6);return false;">
                    <span class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';"  >TOTAL Coverage</label></span>
                    100%
</td>
<td class="graphBar graphHeader" align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
                </td>
                
                                    </tr> 
                <tr id="TestBasicNIOConnPool-1" style="display:none">
            <td class="methodSummary" id="summary-50-5">
                <span class="sortValue">setUp()&nbsp;:&nbsp;void</span>
                &nbsp;&nbsp;<a href="#50" title="setUp()&nbsp;:&nbsp;void" name="sl-50">setUp()&nbsp;:&nbsp;void</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">50</span>
                50
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">5.0</span>
              5
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="TestBasicNIOConnPool-2" style="display:none">
            <td class="methodSummary" id="summary-60-5">
                <span class="sortValue">tearDown()&nbsp;:&nbsp;void</span>
                &nbsp;&nbsp;<a href="#60" title="tearDown()&nbsp;:&nbsp;void" name="sl-60">tearDown()&nbsp;:&nbsp;void</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">60</span>
                60
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">-1.0</span>
               - 
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">-1.0</span>
               - 
</td>
<td class="graphBar " align="center">
<span class="sortValue">-1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="Empty" class="barEmpty" style="min-width: 200px;"></div>
</div>
            </td>
              
                   </tr>
                <tr id="TestBasicNIOConnPool-3" style="display:none">
            <td class="methodSummary" id="summary-64-5">
                <span class="sortValue">testNullConstructor()&nbsp;:&nbsp;void</span>
                &nbsp;&nbsp;<a href="#64" title="testNullConstructor()&nbsp;:&nbsp;void" name="sl-64">testNullConstructor()&nbsp;:&nbsp;void</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">64</span>
                64
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="TestBasicNIOConnPool-4" style="display:none">
            <td class="methodSummary" id="summary-69-5">
                <span class="sortValue">testNullConstructor2()&nbsp;:&nbsp;void</span>
                &nbsp;&nbsp;<a href="#69" title="testNullConstructor2()&nbsp;:&nbsp;void" name="sl-69">testNullConstructor2()&nbsp;:&nbsp;void</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">69</span>
                69
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="TestBasicNIOConnPool-5" style="display:none">
            <td class="methodSummary" id="summary-74-5">
                <span class="sortValue">testCreateConnection()&nbsp;:&nbsp;void</span>
                &nbsp;&nbsp;<a href="#74" title="testCreateConnection()&nbsp;:&nbsp;void" name="sl-74">testCreateConnection()&nbsp;:&nbsp;void</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">74</span>
                74
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
                <tr id="TestBasicNIOConnPool-6" style="display:none">
            <td class="methodSummary" id="summary-79-5">
                <span class="sortValue">testCreateEntry()&nbsp;:&nbsp;void</span>
                &nbsp;&nbsp;<a href="#79" title="testCreateEntry()&nbsp;:&nbsp;void" name="sl-79">testCreateEntry()&nbsp;:&nbsp;void</a>
                            </td>
            <td class="graphPercent" align="right">
                <span class="sortValue">79</span>
                79
            </td>
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">3.0</span>
              3
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0%
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              1
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">0.0</span>
              0
            </td>
              
                        
            <td class="graphPercent " align="right">
                <span class="sortValue">1.0</span>
              100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
            </td>
              
                   </tr>
             </tbody>
     <tbody><tr><td class="hbreak" colspan="8">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="barGraph">
    <tbody>
<tr>
    <td class="hbreak" align="left" colspan="4">
        &nbsp; <label class="sortable" id="testsToggle" onclick="toggleAllTests(this); return false;" onkeyup="return help_src_file_show_tests;">Show Tests </label>(4) <label onkeyup="return help_select_all;" class="selectable unselected" id="selectalltests" onclick="selectAllTests(this);">Select All </label> <label onkeyup='return help_deselect_all;' class="selectable selected" id="deselectalltests" onclick="deselectAllTests(this);">Deselect All</label>
    </td>
</tr>
</tbody>
<tbody id="tests-body" style="display:none">
<tr id="testHeaderRow">
    <td class="graphHeaderLeft titleText" align="center" >
        <label onkeyup="return help_hilight_test;" id="help_1">Highlight</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'number', 1);return false;">
        <label onkeyup="return help_test_contribution;" id="help_2">Test Contribution</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'alpha', 2);return false;">
        <label onkeyup="return help_src_file_test;" id="help_3">Test</label>
    </td>
    <td class="graphHeaderLeft titleText sortable" onclick="ts_resortTable(this, 'alpha', 3);return false;">Result</td>
</tr>

        <tr id="test-137">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-137"></a>
            <input type="checkbox" id="cb-137" value="137" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/impl/nio/pool/TestBasicNIOConnPool_testCreateEntry_3t.html';">
            <span class="sortValue">0.23529412</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="76.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="23.5% Covered" class="barPositive contribBarPositive" style="width: 23.5%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-137">
            <span class="sortValue">org.apache.http.impl.nio.pool.TestBasicNIOConnPool.testCreateEntry</span>
            <a href="../../../../../../org/apache/http/impl/nio/pool/TestBasicNIOConnPool.html?line=79#src-79" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/impl/nio/pool/TestBasicNIOConnPool_testCreateEntry_3t.html" title="Test Summary Page">org.apache.http.impl.nio.pool.TestBasicNIOConnPool.testCreateEntry</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-231">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-231"></a>
            <input type="checkbox" id="cb-231" value="231" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/impl/nio/pool/TestBasicNIOConnPool_testNullConstructor_6f.html';">
            <span class="sortValue">0.11764706</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="88.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="11.8% Covered" class="barPositive contribBarPositive" style="width: 11.8%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-231">
            <span class="sortValue">org.apache.http.impl.nio.pool.TestBasicNIOConnPool.testNullConstructor</span>
            <a href="../../../../../../org/apache/http/impl/nio/pool/TestBasicNIOConnPool.html?line=64#src-64" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/impl/nio/pool/TestBasicNIOConnPool_testNullConstructor_6f.html" title="Test Summary Page">org.apache.http.impl.nio.pool.TestBasicNIOConnPool.testNullConstructor</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-102">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-102"></a>
            <input type="checkbox" id="cb-102" value="102" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/impl/nio/pool/TestBasicNIOConnPool_testNullConstructor2_2u.html';">
            <span class="sortValue">0.11764706</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="88.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="11.8% Covered" class="barPositive contribBarPositive" style="width: 11.8%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-102">
            <span class="sortValue">org.apache.http.impl.nio.pool.TestBasicNIOConnPool.testNullConstructor2</span>
            <a href="../../../../../../org/apache/http/impl/nio/pool/TestBasicNIOConnPool.html?line=69#src-69" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/impl/nio/pool/TestBasicNIOConnPool_testNullConstructor2_2u.html" title="Test Summary Page">org.apache.http.impl.nio.pool.TestBasicNIOConnPool.testNullConstructor2</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
        <tr id="test-184">
        <td class="graphPercent graphPercentLeft" align="center" title="checkbox">
            <a name="testA-184"></a>
            <input type="checkbox" id="cb-184" value="184" name="testMethod" onclick="hiLightByTest(this.value, this.checked); return true;"/>
        </td>
        <td class="graphPercent link" onclick="window.location.href='../../../../../../org/apache/http/impl/nio/pool/TestBasicNIOConnPool_testCreateConnection_54.html';">
            <span class="sortValue">0.11764706</span>
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="88.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="11.8% Covered" class="barPositive contribBarPositive" style="width: 11.8%"></div>
    </div>
</div>        </td>
        <td class="testCase" id="tc-184">
            <span class="sortValue">org.apache.http.impl.nio.pool.TestBasicNIOConnPool.testCreateConnection</span>
            <a href="../../../../../../org/apache/http/impl/nio/pool/TestBasicNIOConnPool.html?line=74#src-74" title="View Test Source"><img class="icon" alt="test" src="../../../../../../img/test.gif"/></a>
            <a href="../../../../../../org/apache/http/impl/nio/pool/TestBasicNIOConnPool_testCreateConnection_54.html" title="Test Summary Page">org.apache.http.impl.nio.pool.TestBasicNIOConnPool.testCreateConnection</a>
        </td>
        <td class="graphPercent">
                  <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
          </td>

    </tr>
    
</tbody>
<tbody><tr><td class="hbreak" colspan="4">&nbsp;</td></tr></tbody>
</table>

<table cellspacing="0" cellpadding="0" class="srcView">
<tbody>
<tr><td colspan="2" class="sortable methodToggle"><label onkeyup="return help_src_file_expandall_src;" onclick="toggleAllInlineMethods(this); return false;" id="method-expander">Collapse All</label></td><th></th></tr>
</tbody>
<tbody>


        

<tr id="l1">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=1#src-1">1</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-1" class="srcLine"><span class="comment">/*</span></span></td>
</tr>
        

<tr id="l2">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=2#src-2">2</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-2" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l3">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=3#src-3">3</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-3" class="srcLine"><span class="comment"> * Licensed to the Apache Software Foundation (ASF) under one</span></span></td>
</tr>
        

<tr id="l4">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=4#src-4">4</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-4" class="srcLine"><span class="comment"> * or more contributor license agreements.  See the NOTICE file</span></span></td>
</tr>
        

<tr id="l5">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=5#src-5">5</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-5" class="srcLine"><span class="comment"> * distributed with this work for additional information</span></span></td>
</tr>
        

<tr id="l6">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=6#src-6">6</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-6" class="srcLine"><span class="comment"> * regarding copyright ownership.  The ASF licenses this file</span></span></td>
</tr>
        

<tr id="l7">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=7#src-7">7</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-7" class="srcLine"><span class="comment"> * to you under the Apache License, Version 2.0 (the</span></span></td>
</tr>
        

<tr id="l8">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=8#src-8">8</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-8" class="srcLine"><span class="comment"> * &quot;License&quot;); you may not use this file except in compliance</span></span></td>
</tr>
        

<tr id="l9">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=9#src-9">9</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-9" class="srcLine"><span class="comment"> * with the License.  You may obtain a copy of the License at</span></span></td>
</tr>
        

<tr id="l10">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=10#src-10">10</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-10" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l11">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=11#src-11">11</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-11" class="srcLine"><span class="comment"> *   http://www.apache.org/licenses/LICENSE-2.0</span></span></td>
</tr>
        

<tr id="l12">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=12#src-12">12</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-12" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l13">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=13#src-13">13</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-13" class="srcLine"><span class="comment"> * Unless required by applicable law or agreed to in writing,</span></span></td>
</tr>
        

<tr id="l14">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=14#src-14">14</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-14" class="srcLine"><span class="comment"> * software distributed under the License is distributed on an</span></span></td>
</tr>
        

<tr id="l15">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=15#src-15">15</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-15" class="srcLine"><span class="comment"> * &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY</span></span></td>
</tr>
        

<tr id="l16">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=16#src-16">16</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-16" class="srcLine"><span class="comment"> * KIND, either express or implied.  See the License for the</span></span></td>
</tr>
        

<tr id="l17">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=17#src-17">17</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-17" class="srcLine"><span class="comment"> * specific language governing permissions and limitations</span></span></td>
</tr>
        

<tr id="l18">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=18#src-18">18</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-18" class="srcLine"><span class="comment"> * under the License.</span></span></td>
</tr>
        

<tr id="l19">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=19#src-19">19</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-19" class="srcLine"><span class="comment"> * ====================================================================</span></span></td>
</tr>
        

<tr id="l20">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=20#src-20">20</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-20" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l21">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=21#src-21">21</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-21" class="srcLine"><span class="comment"> * This software consists of voluntary contributions made by many</span></span></td>
</tr>
        

<tr id="l22">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=22#src-22">22</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-22" class="srcLine"><span class="comment"> * individuals on behalf of the Apache Software Foundation.  For more</span></span></td>
</tr>
        

<tr id="l23">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=23#src-23">23</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-23" class="srcLine"><span class="comment"> * information on the Apache Software Foundation, please see</span></span></td>
</tr>
        

<tr id="l24">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=24#src-24">24</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-24" class="srcLine"><span class="comment"> * &lt;http://www.apache.org/&gt;.</span></span></td>
</tr>
        

<tr id="l25">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=25#src-25">25</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-25" class="srcLine"><span class="comment"> *</span></span></td>
</tr>
        

<tr id="l26">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=26#src-26">26</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-26" class="srcLine"><span class="comment"> */</span></span></td>
</tr>
        

<tr id="l27">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=27#src-27">27</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-27" class="srcLine"><span class="keyword">package</span> org.apache.<a href="../../../../http/pkg-summary.html">http</a>.impl.<a href="../../nio/pkg-summary.html">nio</a>.<a href="../pool/pkg-summary.html">pool</a>;</span></td>
</tr>
        

<tr id="l28">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=28#src-28">28</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-28" class="srcLine"></span></td>
</tr>
        

<tr id="l29">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=29#src-29">29</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-29" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../../../http/pkg-summary.html">http</a>.HttpHost;</span></td>
</tr>
        

<tr id="l30">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=30#src-30">30</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-30" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../../../http/pkg-summary.html">http</a>.<a href="../../../nio/pkg-summary.html">nio</a>.<a href="../../../../../../org/apache/http/nio/NHttpClientConnection.html#NHttpClientConnection">NHttpClientConnection</a>;</span></td>
</tr>
        

<tr id="l31">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=31#src-31">31</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-31" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../../../http/pkg-summary.html">http</a>.<a href="../../../nio/pkg-summary.html">nio</a>.<a href="../../../nio/reactor/pkg-summary.html">reactor</a>.<a href="../../../../../../org/apache/http/nio/reactor/ConnectingIOReactor.html#ConnectingIOReactor">ConnectingIOReactor</a>;</span></td>
</tr>
        

<tr id="l32">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=32#src-32">32</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-32" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../../../http/pkg-summary.html">http</a>.<a href="../../../nio/pkg-summary.html">nio</a>.<a href="../../../nio/reactor/pkg-summary.html">reactor</a>.<a href="../../../../../../org/apache/http/nio/reactor/IOSession.html#IOSession">IOSession</a>;</span></td>
</tr>
        

<tr id="l33">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=33#src-33">33</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-33" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../../../http/pkg-summary.html">http</a>.params.BasicHttpParams;</span></td>
</tr>
        

<tr id="l34">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=34#src-34">34</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-34" class="srcLine"><span class="keyword">import</span> org.apache.<a href="../../../../http/pkg-summary.html">http</a>.params.HttpParams;</span></td>
</tr>
        

<tr id="l35">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=35#src-35">35</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-35" class="srcLine"><span class="keyword">import</span> org.junit.After;</span></td>
</tr>
        

<tr id="l36">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=36#src-36">36</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-36" class="srcLine"><span class="keyword">import</span> org.junit.Before;</span></td>
</tr>
        

<tr id="l37">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=37#src-37">37</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-37" class="srcLine"><span class="keyword">import</span> org.junit.Test;</span></td>
</tr>
        

<tr id="l38">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=38#src-38">38</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-38" class="srcLine"><span class="keyword">import</span> org.mockito.Mock;</span></td>
</tr>
        

<tr id="l39">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=39#src-39">39</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-39" class="srcLine"><span class="keyword">import</span> org.mockito.MockitoAnnotations;</span></td>
</tr>
        

<tr id="l40">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=40#src-40">40</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-40" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="41" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-41' onclick="toggleInlineStats(this, 'inlinestats-41');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-41" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-41'), 'inlinestats-41');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (17)</td>
           <td class="inlineStat">Complexity: 6</td>
           <td class="inlineStat">Complexity Density: 0.55</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l41">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=41#src-41">41</a></td>
<td align="right" class="coverageCount NoHilight "
           onclick="return showTestsForLine(this, 41, 'Tests that hit &lt;span class=\'srcFragment\'&gt; TestBasicNIOConnPool &lt;/span&gt;');"
       >
    &nbsp;&nbsp;

</td>
<td class="  srcCell" id="id-41" >
    <span class="spacer"></span><span id="src-41" class="srcLineClassStart"><span class="keyword">public</span> <span class="keyword">class</span> <a href="../../../../../../org/apache/http/impl/nio/pool/TestBasicNIOConnPool.html#TestBasicNIOConnPool">TestBasicNIOConnPool</a> {</span></td>
</tr>
        

<tr id="l42">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=42#src-42">42</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-42" class="srcLine"></span></td>
</tr>
        

<tr id="l43">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=43#src-43">43</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-43" class="srcLine">    <span class="keyword">private</span> HttpParams params;</span></td>
</tr>
        

<tr id="l44">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=44#src-44">44</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-44" class="srcLine">    <span class="keyword">private</span> <a href="../../../../../../org/apache/http/impl/nio/pool/BasicNIOConnFactory.html#BasicNIOConnFactory">BasicNIOConnFactory</a> connFactory;</span></td>
</tr>
        

<tr id="l45">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=45#src-45">45</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-45" class="srcLine">    <span class="keyword">private</span> <a href="../../../../../../org/apache/http/impl/nio/pool/BasicNIOConnPool.html#BasicNIOConnPool">BasicNIOConnPool</a> pool;</span></td>
</tr>
        

<tr id="l46">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=46#src-46">46</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-46" class="srcLine">    <span class="keyword">private</span> HttpHost route;</span></td>
</tr>
        

<tr id="l47">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=47#src-47">47</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-47" class="srcLine">    @Mock <span class="keyword">private</span> <a href="../../../../../../org/apache/http/nio/reactor/ConnectingIOReactor.html#ConnectingIOReactor">ConnectingIOReactor</a> reactor;</span></td>
</tr>
        

<tr id="l48">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=48#src-48">48</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-48" class="srcLine">    @Mock <span class="keyword">private</span> <a href="../../../../../../org/apache/http/nio/reactor/IOSession.html#IOSession">IOSession</a> session;</span></td>
</tr>
        

<tr id="l49">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=49#src-49">49</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-49" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="50" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-50' onclick="toggleInlineStats(this, 'inlinestats-50');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-50" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-50'), 'inlinestats-50');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (5)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 0.2</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l50">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=50#src-50">50</a></td>
<td align="right" class="coverageCount Good missedByTest"
            >
    <span title="Line 50, Col 5: method entered 4 times." class="nolink">&nbsp;4</span>

</td>
<td class="  methodStart  srcCell" id="id-50" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 50,58);" id="img-50" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-50" class="srcLine"><span class="nolink" title="Line 50, Col 5: method entered 4 times.">    @Before</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-50'), 50,58);" id="e50" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l51">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=51#src-51">51</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-51" class="srcLine">    <span class="keyword">public</span> <span class="keyword">void</span> setUp() <span class="keyword">throws</span> Exception {</span></td>
</tr>
        

<tr id="l52">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=52#src-52">52</a></td>
<td align="right" class="coverageCount Good missedByTest"
         >
    <span title="Line 52, Col 9: statement executed 4 times." class="nolink">&nbsp;4</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-52" class="srcLine"><span class="nolink" title="Line 52, Col 9: statement executed 4 times.">        MockitoAnnotations.initMocks(<span class="keyword">this</span>);</span></span></td>
</tr>
        

<tr id="l53">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=53#src-53">53</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-53" class="srcLine"></span></td>
</tr>
        

<tr id="l54">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=54#src-54">54</a></td>
<td align="right" class="coverageCount Good missedByTest"
         >
    <span title="Line 54, Col 9: statement executed 4 times." class="nolink">&nbsp;4</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-54" class="srcLine"><span class="nolink" title="Line 54, Col 9: statement executed 4 times.">        route = <span class="keyword">new</span> HttpHost(<span class="string">&quot;localhost&quot;</span>, 80, <span class="string">&quot;http&quot;</span>);</span></span></td>
</tr>
        

<tr id="l55">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=55#src-55">55</a></td>
<td align="right" class="coverageCount Good missedByTest"
         >
    <span title="Line 55, Col 9: statement executed 4 times." class="nolink">&nbsp;4</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-55" class="srcLine"><span class="nolink" title="Line 55, Col 9: statement executed 4 times.">        params = <span class="keyword">new</span> BasicHttpParams();</span></span></td>
</tr>
        

<tr id="l56">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=56#src-56">56</a></td>
<td align="right" class="coverageCount Good missedByTest"
         >
    <span title="Line 56, Col 9: statement executed 4 times." class="nolink">&nbsp;4</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-56" class="srcLine"><span class="nolink" title="Line 56, Col 9: statement executed 4 times.">        connFactory = <span class="keyword">new</span> <a href="../../../../../../org/apache/http/impl/nio/pool/BasicNIOConnFactory.html#BasicNIOConnFactory">BasicNIOConnFactory</a>(params);</span></span></td>
</tr>
        

<tr id="l57">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=57#src-57">57</a></td>
<td align="right" class="coverageCount Good missedByTest"
         >
    <span title="Line 57, Col 9: statement executed 4 times." class="nolink">&nbsp;4</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-57" class="srcLine"><span class="nolink" title="Line 57, Col 9: statement executed 4 times.">        pool = <span class="keyword">new</span> <a href="../../../../../../org/apache/http/impl/nio/pool/BasicNIOConnPool.html#BasicNIOConnPool">BasicNIOConnPool</a>(reactor, connFactory, params);</span></span></td>
</tr>
        

<tr id="l58">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=58#src-58">58</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-58" class="srcLine">    }</span></td>
</tr>
        

<tr id="l59">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=59#src-59">59</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-59" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="60" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-60' onclick="toggleInlineStats(this, 'inlinestats-60');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-60" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-60'), 'inlinestats-60');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="Empty" class="barEmpty" style="min-width: 40px;"></div>
</div></td><td> - </td>
           <td class="inlineStat">Uncovered Elements: 0 (0)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: -</td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l60">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=60#src-60">60</a></td>
<td align="right" class="coverageCount Good missedByTest"
            >
    <span title="Line 60, Col 5: method entered 4 times." class="nolink">&nbsp;4</span>

</td>
<td class="  methodStart  srcCell" id="id-60" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 60,62);" id="img-60" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-60" class="srcLine"><span class="nolink" title="Line 60, Col 5: method entered 4 times.">    @After</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-60'), 60,62);" id="e60" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l61">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=61#src-61">61</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-61" class="srcLine">    <span class="keyword">public</span> <span class="keyword">void</span> tearDown() <span class="keyword">throws</span> Exception {</span></td>
</tr>
        

<tr id="l62">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=62#src-62">62</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-62" class="srcLine">    }</span></td>
</tr>
        

<tr id="l63">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=63#src-63">63</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-63" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="64" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-64' onclick="toggleInlineStats(this, 'inlinestats-64');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-64" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-64'), 'inlinestats-64');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                        <td class="inlineStat">      <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
  </td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l64">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=64#src-64">64</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 64, 'Tests that hit &lt;span class=\'srcFragment\'&gt; testNullConstructor()&amp;nbsp;:&amp;nbsp;void &lt;/span&gt;');"
       >
    <span title="Line 64, Col 5: method entered 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  methodStart  srcCell" id="id-64" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 64,67);" id="img-64" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-64" class="srcLine"><span class="nolink" title="Line 64, Col 5: method entered 1 time.">    @Test(expected=IllegalArgumentException.<span class="keyword">class</span>)</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-64'), 64,67);" id="e64" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l65">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=65#src-65">65</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-65" class="srcLine">    <span class="keyword">public</span> <span class="keyword">void</span> testNullConstructor() <span class="keyword">throws</span> Exception {</span></td>
</tr>
        

<tr id="l66">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=66#src-66">66</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 66, 'Tests that hit line # 66');"
    >
    <span title="Line 66, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-66" class="srcLine"><span class="nolink" title="Line 66, Col 9: statement executed 1 time.">        pool = <span class="keyword">new</span> <a href="../../../../../../org/apache/http/impl/nio/pool/BasicNIOConnPool.html#BasicNIOConnPool">BasicNIOConnPool</a>(<span class="keyword">null</span>, <span class="keyword">new</span> BasicHttpParams());</span></span></td>
</tr>
        

<tr id="l67">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=67#src-67">67</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-67" class="srcLine">    }</span></td>
</tr>
        

<tr id="l68">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=68#src-68">68</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-68" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="69" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-69' onclick="toggleInlineStats(this, 'inlinestats-69');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-69" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-69'), 'inlinestats-69');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                        <td class="inlineStat">      <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
  </td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l69">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=69#src-69">69</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 69, 'Tests that hit &lt;span class=\'srcFragment\'&gt; testNullConstructor2()&amp;nbsp;:&amp;nbsp;void &lt;/span&gt;');"
       >
    <span title="Line 69, Col 5: method entered 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  methodStart  srcCell" id="id-69" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 69,72);" id="img-69" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-69" class="srcLine"><span class="nolink" title="Line 69, Col 5: method entered 1 time.">    @Test(expected=IllegalArgumentException.<span class="keyword">class</span>)</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-69'), 69,72);" id="e69" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l70">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=70#src-70">70</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-70" class="srcLine">    <span class="keyword">public</span> <span class="keyword">void</span> testNullConstructor2() <span class="keyword">throws</span> Exception {</span></td>
</tr>
        

<tr id="l71">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=71#src-71">71</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 71, 'Tests that hit line # 71');"
    >
    <span title="Line 71, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-71" class="srcLine"><span class="nolink" title="Line 71, Col 9: statement executed 1 time.">        pool = <span class="keyword">new</span> <a href="../../../../../../org/apache/http/impl/nio/pool/BasicNIOConnPool.html#BasicNIOConnPool">BasicNIOConnPool</a>(reactor, <span class="keyword">null</span>);</span></span></td>
</tr>
        

<tr id="l72">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=72#src-72">72</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-72" class="srcLine">    }</span></td>
</tr>
        

<tr id="l73">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=73#src-73">73</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-73" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="74" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-74' onclick="toggleInlineStats(this, 'inlinestats-74');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-74" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-74'), 'inlinestats-74');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (1)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 1</td>
                        <td class="inlineStat">      <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
  </td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l74">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=74#src-74">74</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 74, 'Tests that hit &lt;span class=\'srcFragment\'&gt; testCreateConnection()&amp;nbsp;:&amp;nbsp;void &lt;/span&gt;');"
       >
    <span title="Line 74, Col 5: method entered 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  methodStart  srcCell" id="id-74" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 74,77);" id="img-74" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-74" class="srcLine"><span class="nolink" title="Line 74, Col 5: method entered 1 time.">    @Test</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-74'), 74,77);" id="e74" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l75">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=75#src-75">75</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-75" class="srcLine">    <span class="keyword">public</span> <span class="keyword">void</span> testCreateConnection() <span class="keyword">throws</span> Exception {</span></td>
</tr>
        

<tr id="l76">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=76#src-76">76</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 76, 'Tests that hit line # 76');"
    >
    <span title="Line 76, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-76" class="srcLine"><span class="nolink" title="Line 76, Col 9: statement executed 1 time.">        connFactory.create(route, session);</span></span></td>
</tr>
        

<tr id="l77">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=77#src-77">77</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-77" class="srcLine">    }</span></td>
</tr>
        

<tr id="l78">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=78#src-78">78</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-78" class="srcLine"></span></td>
</tr>
           <tr class="inlineStatsRow" align="right" valign="middle" >
        <td colspan="1"  class="coverageCount">
            <a name="79" class="nolink">&nbsp;</a>
        </td>
        
       <td class="coverageCount imgbg more" id='inlineStatsToggle-79' onclick="toggleInlineStats(this, 'inlinestats-79');">
       </td>
       <td align="center" valign="middle">
           <table id="inlinestats-79" style="display:none;" class="inlineStats" width="100%" cellspacing="1px" cellpadding="1px">
           <tr onclick="toggleInlineStats(document.getElementById('inlineStatsToggle-79'), 'inlinestats-79');return true;">
           <td><div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 40px;"  class="barNegative barNegative">
       <div title="100% Covered" class="barPositive barPositive" style="width: 100%"></div>
    </div>
</div></td><td>100%</td>
           <td class="inlineStat">Uncovered Elements: 0 (3)</td>
           <td class="inlineStat">Complexity: 1</td>
           <td class="inlineStat">Complexity Density: 0.33</td>
                        <td class="inlineStat">      <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
  </td>
                       </tr>
           </table>
       </td>
    </tr>
  

<tr id="l79">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=79#src-79">79</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 79, 'Tests that hit &lt;span class=\'srcFragment\'&gt; testCreateEntry()&amp;nbsp;:&amp;nbsp;void &lt;/span&gt;');"
       >
    <span title="Line 79, Col 5: method entered 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  methodStart  srcCell" id="id-79" >
    <img title="Method Statistics" onclick="toggleSrcRowVis(this, 79,84);" id="img-79" src="../../../../../../img/collapse.gif"  alt="toggle" class="icon"/><span id="src-79" class="srcLine"><span class="nolink" title="Line 79, Col 5: method entered 1 time.">    @Test</span><span class="foldControl" onclick="toggleSrcRowVis(document.getElementById('img-79'), 79,84);" id="e79" style="display:none;border:none;">...</span></span></td>
</tr>
        

<tr id="l80">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=80#src-80">80</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-80" class="srcLine">    <span class="keyword">public</span> <span class="keyword">void</span> testCreateEntry() <span class="keyword">throws</span> Exception {</span></td>
</tr>
        

<tr id="l81">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=81#src-81">81</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 81, 'Tests that hit line # 81');"
    >
    <span title="Line 81, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-81" class="srcLine"><span class="nolink" title="Line 81, Col 9: statement executed 1 time.">        <a href="../../../../../../org/apache/http/nio/NHttpClientConnection.html#NHttpClientConnection">NHttpClientConnection</a> conn = connFactory.create(route, session);</span></span></td>
</tr>
        

<tr id="l82">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=82#src-82">82</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 82, 'Tests that hit line # 82');"
    >
    <span title="Line 82, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-82" class="srcLine"><span class="nolink" title="Line 82, Col 9: statement executed 1 time.">        <a href="../../../../../../org/apache/http/impl/nio/pool/BasicNIOPoolEntry.html#BasicNIOPoolEntry">BasicNIOPoolEntry</a> entry = pool.createEntry(route, conn);</span></span></td>
</tr>
        

<tr id="l83">
<td align="right" class="lineCount Good"><a class="lineNumHref" href="?line=83#src-83">83</a></td>
<td align="right" class="coverageCount Good hitByTest"
           onclick="return showTestsForLine(this, 83, 'Tests that hit line # 83');"
    >
    <span title="Line 83, Col 9: statement executed 1 time." class="nolink">&nbsp;1</span>

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-83" class="srcLine"><span class="nolink" title="Line 83, Col 9: statement executed 1 time.">        entry.close();</span></span></td>
</tr>
        

<tr id="l84">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=84#src-84">84</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-84" class="srcLine">    }</span></td>
</tr>
        

<tr id="l85">
<td align="right" class="lineCount NoHilight"><a class="lineNumHref" href="?line=85#src-85">85</a></td>
<td align="right" class="coverageCount NoHilight "
         >
    &nbsp;&nbsp;

</td>
<td class="  srcCell"  >
    <span class="spacer"></span><span id="src-85" class="srcLine">}</span></td>
</tr>
</tbody></table>
<table width="100%"><tr><td class="hbreak" colspan="8">&nbsp;</td></tr>
<tr><td class="footer" colspan="8">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:36:54 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></table>
<script type="text/javascript">
    var ol_bgclass = "overBG";
    var ol_fgclass = "overFG";
    var ol_cgclass = "overCaption";
    var ol_captionfontclass= "overCaption";
    var ol_closefontclass = "closeFont";
    var ol_closeclick = 1;
    var ol_close = 'X';
    var ol_wrap = 1;
    var rootRelPath = '../../../../../../';
    var testsPerFile = -1;
</script>
<script src="TestBasicNIOConnPool.js" type="text/javascript"></script>
<script src="../../../../../../help.js" type="text/javascript"></script>
<script src="../../../../../../clover.js" type="text/javascript"></script>
<script src="../../../../../../sorttable.js" type="text/javascript"></script>
<script src="../../../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
<script src="../../../../../../overlibmws_shadow.js" type="text/javascript" ></script>
<script src="../../../../../../utils.js" type="text/javascript"></script>
</body>

</html>
